import {
  geoNaturalEarth1,
  geoPath,
  geoGraticule,
} from 'd3';
//projection of the earth 
const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();
//how that projection looks like - i.e features along with each possible classname 
export const Marks = ({ data: { interiors, land } }) => (
  <g className="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />

    {land.features.map((feature) => (
      <path className="land" d={path(feature)} />
    ))}

    <path className="interiors" d={path(interiors)} />
  </g>
);
