import { useEffect, useState } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';
//importing from d3, react and topojson and jsonurl is as shown below
const jsonUrl =
  'https://unpkg.com/world-atlas@2.0.2/countries-50m.json';
//from useData.js and jsonURL we get teh countries, land into topology objects
//we add topology and land into feature for land data.
export const useData = () => {
  const [data, setData] = useState(null);
  console.log(data);

  useEffect(() => {
    json(jsonUrl).then((topology) => {
      const { countries, land } = topology.objects;
      setData({
        land: feature(topology, land),
        interiors: mesh(
          topology,
          countries,
          (a, b) => a !== b
        ),
      });
    });
  }, []);

  return data;
};
